#ifndef FORMITEMSELECTION_H
#define FORMITEMSELECTION_H

#include <QWidget>
#include "common.h"

namespace Ui {
class FormItemSelection;
}

class FormItemSelection : public QWidget
{
    Q_OBJECT

public:
    explicit FormItemSelection(QWidget *parent = nullptr);
    ~FormItemSelection();

    virtual void SetText(QString strText);
    virtual void SetTableHeader(TableHeader* pTableHeader);

    virtual void resizeEvent(QResizeEvent *event);

    virtual void mousePressEvent(QMouseEvent *event);
    virtual void mouseReleaseEvent(QMouseEvent *event);
    virtual void mouseMoveEvent(QMouseEvent *event);

public slots:
    void Clicked();

protected:
    TableHeader* m_pTableHeader;

private:
    Ui::FormItemSelection *ui;
};

#endif // FORMITEMSELECTION_H
